<?php
namespace edu\wisc\services\cbs\order\line;

use edu\wisc\services\cbs\api\MockService;
use edu\wisc\services\cbs\common\ServiceResponseInterface;
use edu\wisc\services\cbs\order\OrderServiceResponse;

class MockOrderLineService implements OrderLineService, MockService
{

    /** @var OrderServiceResponse */
    private $response;

    /** @inheritdoc */
    public function __construct(ServiceResponseInterface $response = null)
    {
        $this->response = $response;
        if ($response === null) {
            $this->response = new OrderServiceResponse(true, '');
        }
    }

    /** @inheritdoc */
    public function createOrderLine(OrderLine $orderLine): OrderServiceResponse
    {
        return $this->response;
    }
}
