<?php

namespace edu\wisc\services\cbs\order\payment;

use edu\wisc\services\cbs\common\AbstractServiceResponse;
use Money\Money;

class MockOrderPaymentService implements OrderPaymentService
{

    /** @var AbstractServiceResponse */
    private $response;

    /**
     * {@inheritdoc}
     */
    public function __construct(OrderPaymentServiceResponse $response = null)
    {
        if ($response === null) {
            $this->response = new OrderPaymentServiceResponse(
                true,
                'Mock Order Payment Service Response',
                Money::USD(0),
                Money::USD(0),
                (new \DateTime())
            );
        } else {
            $this->response = $response;
        }
    }

    /**
     * {@inheritdoc}
     */
    public function createOrderPayment(OrderPayment $payment)
    {
        return $this->response;
    }

}