<?php

namespace edu\wisc\services\cbs\order\payment;

use edu\wisc\services\cbs\common\MoneyConversion;
use edu\wisc\services\cbs\exception\UnsupportedCurrencyException;
use edu\wisc\services\cbs\order\payment\generated\InputParameters;

/**
 * Maps an {@link OrderPayment} to an {@link InputParameters} instance.
 */
class OrderPaymentInputParametersMapper
{

    /**
     * Maps an {@link OrderPayment} to an {@link InputParameters} instance.
     * @param OrderPayment $payment
     * @return InputParameters
     * @throws UnsupportedCurrencyException when a currency other than USD is supplied
     */
    public static function toInputParameters(OrderPayment $payment)
    {
        return (new InputParameters(
            '',
            '',
            '',
            '',
            '',
            '',
            '',
            '',
            '',
            '',
            '',
            '',
            new \DateTime(),
            ''
        ))
            ->setP_ORDER_NUMBER($payment->getOrderNumber())
            ->setP_ORIG_SYS_DOCUMENT_REF($payment->getOrigSysDocumentRef())
            ->setP_PAYMENT_INFO($payment->getPaymentInfo())
            ->setP_PAYMENT_TYPE($payment->getPaymentType())
            ->setP_CASH_REGISTER($payment->getRegister())
            ->setP_RENDERD_AMOUNT(MoneyConversion::convertMoneyToFloat($payment->getRenderedAmount()))
            ->setP_SUBTOTAL(MoneyConversion::convertMoneyToFloat($payment->getSubtotal()))
            ->setP_TAX(MoneyConversion::convertMoneyToFloat($payment->getTax()))
            ->setP_TOTAL(MoneyConversion::convertMoneyToFloat($payment->getTotal()))
            ->setP_PAYMENT_NOTES($payment->getPaymentNotes())
            ->setP_SALES_REP($payment->getSalesRep())
            ->setP_ORDER_SOURCE($payment->getOrderSource())
            ->setP_TEST_MODE($payment->getTestMode());
    }

}
