<?php

use edu\wisc\services\cbs\order\header\MockOrderHeaderService;
use edu\wisc\services\cbs\order\header\OrderHeader;
use edu\wisc\services\cbs\order\OrderServiceResponse;

class MockOrderHeaderServiceTest extends PHPUnit_Framework_TestCase
{

    /** @test */
    public function alwaysSucceedsByDefault()
    {
        $client = new MockOrderHeaderService();
        $header = new OrderHeader();
        $response = $client->createOrderHeader($header);
        static::assertTrue($response->isSuccess());
    }

    /** @test */
    public function returnsCustomResponse()
    {
        $mockResponse = new OrderServiceResponse(
            true,
            "Custom Order Header Service Response"
        );
        $client = new MockOrderHeaderService($mockResponse);
        $header = new OrderHeader();
        $response = $client->createOrderHeader($header);
        static::assertEquals($mockResponse, $response);
    }

}

