<?php

namespace edu\wisc\services\cbs\price;

use Money\Money;

class MockPriceServiceClientTest extends \PHPUnit_Framework_TestCase
{

    /** @test */
    public function alwaysSucceedsByDefault()
    {
        $client = new MockPriceService();
        $response = $client->updateProductPrice("skusku", Money::USD(4200));
        static::assertTrue($response->isSuccess());
    }
    
    /** @test */
    public function returnsCustomResponse()
    {
        $mockResponse = new PriceServiceResponse(true, "Custom Product Price Service Response");
        $client = new MockPriceService($mockResponse);
        $response = $client->updateProductPrice("skusku", Money::USD(4200));
        static::assertEquals($mockResponse, $response);
    }
    
}

